Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Class TaskAttribute

    java.lang.Object
      com.plumtree.remote.prc.collaboration.tasklist.TaskAttribute

public class TaskAttribute
extends java.lang.Object

An enumerated type used to describe the specific fields that can be used in constructing a `TaskQueryOrder` for Tasks.

Field Summary
`static TaskAttribute` | `ASSIGNED_NAME` Attribute for task's assigned user name.
`static TaskAttribute` | `DUE_DATE` Attribute for task due date.
`static TaskAttribute` | `NAME` Attribute for task name.
`static TaskAttribute` | `ORDER` Attribute for task's order.
`static TaskAttribute` | `START_DATE` Attribute for task start date.
`static TaskAttribute` | `STATUS` Attribute for task status.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASSIGNED_NAME

    public static final TaskAttribute ASSIGNED_NAME

  Attribute for task's assigned user name.

### DUE_DATE

    public static final TaskAttribute DUE_DATE

  Attribute for task due date.

### NAME

    public static final TaskAttribute NAME

  Attribute for task name.

### ORDER

    public static final TaskAttribute ORDER

  Attribute for task's order.

### START_DATE

    public static final TaskAttribute START_DATE

  Attribute for task start date.

### STATUS

    public static final TaskAttribute STATUS

  Attribute for task status.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.